--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: The address of the socket for a given port
- !ruby/struct:SM::Flow::VERB 
  body: "  <tt>port</tt> is the port number\n"
- !ruby/struct:SM::Flow::P 
  body: Returns String (drb address)
full_name: God::Socket::socket
is_singleton: true
name: socket
params: (port)
visibility: public
